Loading...
Searching...
No Matches
irr::scene::SVertexColorContrastBrightnessManipulator Class Reference

Vertex manipulator which adjusts the contrast by the given factor and brightness by a signed amount. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorContrastBrightnessManipulator:

## Public Member Functions

| SVertexColorContrastBrightnessManipulator (f32 factor, s32 amount)
void | operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which adjusts the contrast by the given factor and brightness by a signed amount.

Factors over 1 increase contrast, below 1 reduce it. A positive amount increases brightness, a negative one darkens the colors.

Definition at line 110 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

## SVertexColorContrastBrightnessManipulator()

irr::scene::SVertexColorContrastBrightnessManipulator::SVertexColorContrastBrightnessManipulator | ( | f32 | factor,
|  | s32 | amount )

inline

Definition at line 113 of file SVertexManipulator.h.

## Member Function Documentation

## operator()()

void irr::scene::SVertexColorContrastBrightnessManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const

inline

Definition at line 114 of file SVertexManipulator.h.

References irr::core::clamp(), irr::video::S3DVertex::Color, irr::video::SColor::getBlue(), irr::video::SColor::getGreen(), irr::video::SColor::getRed(), irr::core::round32(), irr::video::SColor::setBlue(), irr::video::SColor::setGreen(), and irr::video::SColor::setRed().

The documentation for this class was generated from the following file:

- SVertexManipulator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0